Print Friendly

To have an optimal experience in the Learning Hub, please make sure you are using one of the following browsers. Education Technology Support (ETS) teams recommends Firefox as the browser to use for PCs and Mac systems.

Mozilla Firefox  (https://www.mozilla.org/en-US/firefox/new/)
Google Chrome  (www.google.ca/chrome)

For a list of supported browsers, please scroll down to “Browser Support”:
https://documentation.desire2learn.com/en/platform-requirements

How do I tell what internet browser I am using?
Please use the following webpage:  http://whatbrowser.org/

NOTE:
ETS recommends having at least two browsers on your system. Sometimes a recent update in one browser could cause something to stop working in the Learning Hub, but this same area could be working properly in an alternate browser.

Plugins for browsers:

Please ensure that you are using the most current versions of Java*, Flash , and QuickTime

*Employees at BCIT who use the learning Hub and Banner will need to remain on Java 6, so that Banner will work properly.

 

HC-54